Package org.jcsp.plugNplay.ints

# Class DeltaInt

java.lang.Object
org.jcsp.plugNplay.ints.DeltaInt

All Implemented Interfaces:
  `CSProcess`

public final class DeltaInt extends Object implements CSProcess
This process broadcasts integers arriving on its input channel in parallel to its array of output channels.

## Process Diagram

## Description

`Delta2Int` is a process that broadcasts (in parallel) on its array of output channels everything that arrives on its input channel.

## Channel Protocols

Input Channels
in | int | All channels in this package carry integers.
Output Channels
out[] | int | The output Channels will carry a broadcast of whatever integers are sent down the in Channel.

Author:
  P.H. Welch and P.D. Austin

## Constructor Summary

Constructors
Constructor
Description
`DeltaInt(ChannelInputInt in, ChannelOutputInt[] out)`
Construct a new DeltaInt process with the input Channel in and the output Channels out.

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`
The main body of this process.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DeltaInt

public DeltaInt(ChannelInputInt in, ChannelOutputInt[] out)
Construct a new DeltaInt process with the input Channel in and the output Channels out. The ordering of the Channels in the out array make no difference to the functionality of this process.

Parameters:
  `in` - the input channel
  `out` - the output Channels

## Method Details

### run

public void run()
The main body of this process.

Specified by:
  `run` in interface `CSProcess`